#include <iostream>
#include <stdexcept>

// exceptions can propagate across multiple scopes

void g() {
	throw std::runtime_error("Something bad happened.");
}

void f() {
	g();
	std::cout << "You will not see this.\n";
}

int main() {
	try {
		f();
		std::cout << "Neither will you see this.\n";
	} catch (std::runtime_error& ex) {
		std::cout << "Error: " << ex.what() << '\n';
	}
}
